Package ch.qos.logback.core.rolling

## Class SizeAndTimeBasedFNATP<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicyBase<E>
    - - ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP<E>

All Implemented Interfaces:
  `TimeBasedFileNamingAndTriggeringPolicy<E>`, `TriggeringPolicy<E>`, `ContextAware`, `LifeCycle`

    public class SizeAndTimeBasedFNATP<E>
    extends TimeBasedFileNamingAndTriggeringPolicyBase<E>

### Field Summary

### Fields inherited from class ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicyBase

`archiveRemover, artificialCurrentTime, dateInCurrentPeriod, elapsedPeriodsFileName, errorFree, nextCheck, rc, started, tbrp`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`SizeAndTimeBasedFNATP()`
`SizeAndTimeBasedFNATP​(ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP.Usage usage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ArchiveRemover` `createArchiveRemover()`
`java.lang.String` `getCurrentPeriodsFileNameWithoutCompressionSuffix()` Return the current periods file name without the compression suffix.
`boolean` `isTriggeringEvent​(java.io.File activeFile, E event)` Should roll-over be triggered at this time?
`void` `setMaxFileSize​(FileSize aMaxFileSize)`
`void` `start()`

### Methods inherited from class ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicyBase

`computeNextCheck, getArchiveRemover, getCurrentTime, getElapsedPeriodsFileName, isErrorFree, isStarted, setCurrentTime, setDateInCurrentPeriod, setDateInCurrentPeriod, setTimeBasedRollingPolicy, stop, withErrors`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### SizeAndTimeBasedFNATP

    public SizeAndTimeBasedFNATP()

#### SizeAndTimeBasedFNATP

    public SizeAndTimeBasedFNATP​(ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP.Usage usage)

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `TimeBasedFileNamingAndTriggeringPolicyBase<E>`

#### createArchiveRemover

    protected ArchiveRemover createArchiveRemover()

#### isTriggeringEvent

    public boolean isTriggeringEvent​(java.io.File activeFile,
                                     E event)

Description copied from interface: `TriggeringPolicy`
Should roll-over be triggered at this time?

Parameters:
  `activeFile` - A reference to the currently active log file.
  `event` - A reference to the currently event.
Returns:
  true if a roll-over should occur.

#### getCurrentPeriodsFileNameWithoutCompressionSuffix

    public java.lang.String getCurrentPeriodsFileNameWithoutCompressionSuffix()

Description copied from interface: `TimeBasedFileNamingAndTriggeringPolicy`
Return the current periods file name without the compression suffix. This value is equivalent to the active file name.

Specified by:
  `getCurrentPeriodsFileNameWithoutCompressionSuffix` in interface `TimeBasedFileNamingAndTriggeringPolicy<E>`
Overrides:
  `getCurrentPeriodsFileNameWithoutCompressionSuffix` in class `TimeBasedFileNamingAndTriggeringPolicyBase<E>`
Returns:
  current period's file name (without compression suffix)

#### setMaxFileSize

    public void setMaxFileSize​(FileSize aMaxFileSize)